<?php
	class Ingresos extends Controllers{
		public function __construct()
		{
			parent::__construct();		}

		public function Ingresos()
		{
			
			$data['page_tag'] = "Ingresos | ITAEP";
			$data['page_title'] = "Ingresos <small></small>";
			$data['page_name'] = "ingresos";
			$data['page_functions_js'] = "functions_ingresos.js";
			$this->views->getView($this,"ingresos",$data);
		}

		

		//LISTAR CATEGORIAS EN LA TABLA PRINCIPAL
		public function getIngresos()
		{
			
				$arrData = $this->model->selectIngresos();
				for ($i=0; $i < count($arrData); $i++) {
					$btnOpenL = '';
					$btnView = '';
					$btnEdit = '';
					$btnEdit2 = '';
					$btnCancelar = '';
					$btnDelete = '';
					$creation_timestamp = '';
					//MOSTRAR ESTADO

					switch ($arrData[$i]['status']) {
						case 'completed':
							$arrData[$i]['status'] = '<span class="badge badge-blue">Pagado</span>';
							break;
						case 'pending':
							$arrData[$i]['status'] = '<span class="badge badge-danger">Pendiente</span>';
							break;
					}
					$cadena_fecha_mysql = new Datetime( $arrData[$i]['creation_timestamp']); 
					$fecha_actual = $cadena_fecha_mysql;
					$cadena_fecha_actual = $fecha_actual->format("Y-m-d");		

				
				$arrData[$i]['creation_timestamp']= $cadena_fecha_actual; 

				}				
				echo json_encode($arrData,JSON_UNESCAPED_UNICODE);			
			
			die();
		}


		public function getPagado()
		{			
				
					$arrData = $this->model->selectPagado();
					if(empty($arrData))
					{
						$arrResponse = array('status' => false, 'msg' => 'Datos no encontrados.');
					}else{
						$arrResponse = array('status' => true, 'data' => $arrData);
					}
					echo json_encode($arrResponse,JSON_UNESCAPED_UNICODE);
			
			die();
		}

		public function getPendiente()
		{
			
					$arrData = $this->model->selectPendiente();
					if(empty($arrData))
					{
						$arrResponse = array('status' => false, 'msg' => 'Datos no encontrados.');
					}else{
						$arrResponse = array('status' => true, 'data' => $arrData);
					}
					echo json_encode($arrResponse,JSON_UNESCAPED_UNICODE);
			
			die();
		}


	}


 ?>