<?php 

	class IngresosModel extends Mysql
	{
				
		//LISTAR SECTOR EN LA TABLA PRINCIPAL
		public function selectIngresos()
		{
			$sql = "SELECT
			`invoice`.`invoice_id`
			, `invoice`.`student_id`
			, `student`.`first_name`
			, `student`.`last_name`
			, `student`.`phone`
			, `invoice`.`description`
			, `invoice`.`amount`
			, `invoice`.`amount_paid`
			, `invoice`.`due`
			, `invoice`.`creation_timestamp`
			
			, `invoice`.`payment_timestamp`
			, `invoice`.`payment_method`
			, `invoice`.`payment_details`
			, `invoice`.`status`
			, `invoice`.`year`
			, `invoice`.`class_id`
			, `class`.`name` AS NAME
			, `class`.`jornada_id`
			, `class`.`teacher_id`
			, `class`.`nivel_id`
			, `student`.`username`
			, CONCAT_WS('  ',`student`.`first_name`, `student`.`last_name`) AS nomape
		FROM
			`u699417110_colegiopremium`.`invoice`
			, `u699417110_colegiopremium`.`student`
			, `u699417110_colegiopremium`.`class`  ";
			$request = $this->select_all($sql);
			return $request;
		}	

		public function selectPagado(){
			//$this->intIdingreso = $idingreso;
			$sql = "SELECT SUM(amount) as 'imptotal' FROM invoice WHERE status = 'completed'";
			$request = $this->select($sql);
			return $request;
		}

		public function selectPendiente(){
			//$this->intIdingreso = $idingreso;
			$sql = "SELECT SUM(amount) as 'pendiente' FROM invoice WHERE status = 'pending'";
			$request = $this->select($sql);
			return $request;
		}



		

	


		
	

	}
 ?>